import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import Check
import Core
import I18n

import "../core"
import "../widgets"

BaseForm {
    id: root
    padding: 0

    Context.context {
        inputSources: InputSources.All
        topPanelColor: Style.color("authBackground")
        logoActionInfo: "AUTH_LOGINDIALOG"
    }

    ColumnLayout {
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: -background.bottomPadding / 2 - (Style.parameter("geometry.topPanel.height") - 50) / 2 - Style.parameter("geometry.topPanel.topPadding")
        spacing: 60

        SvgImage {
            Layout.alignment: Qt.AlignHCenter
            Layout.preferredHeight: Style.parameter("geometry.auth.errorHeight")
            source: Style.parameter("image.error")
        }

        SLabel {
            Style.class: "authFormTitle"
            Tr { code: "authFormTitle" }
            Layout.alignment: Qt.AlignHCenter
            horizontalAlignment: Text.AlignHCenter
        }

        SLabel {
            Style.class: "authFormMsg"
            Tr { code: "authFormMsg" }
            Layout.alignment: Qt.AlignHCenter
            horizontalAlignment: Text.AlignHCenter
        }
    }

    background: SmileBackground {
        color: Style.color("authBackground")
        footerColor: Style.color("authFooterBackground")
        footerImage: Style.parameter("image.authFooter")
        shadowColor: Style.color("authShadow")
    }
}
