import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import Core
import I18n

import "../core"
import "../widgets"

BaseForm {
    id: root
    Style.class: "bankCardForm"

    contentItem: SGroupBox {
        padding: 0

        ColumnLayout {
            objectName: "mainLayout"
            anchors.horizontalCenter: parent.horizontalCenter
            y: 280
            spacing: 0

            SLabel {
                Layout.alignment: Qt.AlignHCenter
                Style.class: "bankCardTitle"
                Tr { code: "bankCardTitle" }
            }
            RowLayout {
                Layout.alignment: Qt.AlignHCenter
                Layout.topMargin: 5
                spacing: 7
                visible: !Context.sum.zero
                SLabel {
                    Layout.alignment: Qt.AlignHCenter
                    Style.class: "bankCardTitle"
                    Tr { code: "bankCardDue" }
                }
                SMoney {
                    Style.class: "bankCardTitle"
                    money: Context.sum
                    color: styleColor
                }
            }
            Space { objectName: "titleSpacer"; Layout.preferredHeight: 40 }
            SLabel {
                Layout.alignment: Qt.AlignHCenter
                Style.class: "bankCardMsg"
                Tr { code: "bankCardMsg" }
            }
            Space { objectName: "animationSpacer"; Layout.preferredHeight: 180 }
            Loader {
                Layout.alignment: Qt.AlignHCenter
                source: Style.ui("check/BankCardAnimation")
            }
        }
    }
}
