import QtQuick
import QtQuick.Layouts

import Core
import I18n

import "../core"
import "../widgets"

/**
 * @brief Подсказка для частичной оплаты
 * @note Если будет принят общий формат диалога с подсказками - вынести в плагин диалога
 */
ModalForm {
    contentItem: ColumnLayout {
        objectName: "mainLayout"
        spacing: 48
        ColumnLayout {
            objectName: "titleLayout"
            spacing: 24
            SLabel {
                Layout.fillWidth: true
                horizontalAlignment: Qt.AlignHCenter
                Style.class: "partialPaymentHelpTitle"
                Tr { code: "partialPaymentHelpTitle" }
            }
            SLabel {
                Layout.fillWidth: true
                horizontalAlignment: Qt.AlignHCenter
                verticalAlignment: Qt.AlignVCenter
                Style.class: "partialPaymentHelpDesc"
                Tr { code: "partialPaymentHelpDescription" }
            }
        }
        ColumnLayout {
            objectName: "howtoLayout"
            spacing: 24
            SLabel {
                Layout.fillWidth: true
                horizontalAlignment: Qt.AlignHCenter
                verticalAlignment: Qt.AlignVCenter
                Style.class: "partialPaymentHelpTitle"
                Tr { code: "partialPaymentHelpHowto" }
            }
            Repeater {
                id: repeater
                objectName: "stepRepeater"
                model: 4
                property real groupHeight: 104
                property real groupLeftPadding: 32
                property real groupRightPadding: 32
                property real numWidth: 60
                property real numHeight: 40
                SGroupBox {
                    Layout.fillWidth: true
                    Layout.preferredHeight: repeater.groupHeight
                    Style.class: "partialPaymentHelpStep"
                    padding: 0
                    leftPadding: repeater.groupLeftPadding
                    rightPadding: repeater.groupRightPadding
                    contentItem: RowLayout {
                        spacing: 24
                        SLabel {
                            Layout.preferredWidth: repeater.numWidth
                            Layout.preferredHeight: repeater.numHeight
                            horizontalAlignment: Qt.AlignHCenter
                            verticalAlignment: Qt.AlignVCenter
                            Layout.alignment: Qt.AlignVCenter
                            Style.class: "partialPaymentHelpStepNum"
                            text: index + 1
                        }
                        SLabel {
                            Layout.fillWidth: true
                            Layout.fillHeight: true
                            verticalAlignment: Qt.AlignVCenter
                            Style.class: "partialPaymentHelpStepDesc"
                            Tr { code: "partialPaymentHelpStep" + (index + 1) }
                        }
                    }
                }
            }
        }
        ActionButton {
            objectName: "closeButton"
            Layout.fillWidth: true
            Layout.preferredHeight: 105
            onClicked: removeContext()
            Tr { code: "partialPaymentHelpOk" }
        }
    }
}
