import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import Core
import I18n

import "../core"
import "../widgets"

BaseForm {
    id: root
    Style.class: "payGiftForm"

    Context.inputSources: InputSources.Msr | InputSources.Scanner

    contentItem: ColumnLayout {
        objectName: "mainLayout"
        spacing: 20

        SGroupBox {
            Layout.fillHeight: true
            Layout.fillWidth: true
            padding: 0

            ColumnLayout {
                objectName: "contentLayout"
                anchors.horizontalCenter: parent.horizontalCenter
                y: 280
                spacing: 180

                ColumnLayout {
                    objectName: "titleLayout"
                    spacing: 40
                    Layout.alignment: Qt.AlignHCenter

                    SLabel {
                        Layout.alignment: Qt.AlignHCenter
                        Style.class: "payGiftTitle"
                        Tr { code: "payGiftTitle" }
                    }

                    SLabel {
                        Layout.alignment: Qt.AlignHCenter
                        Style.class: "payGiftMsg"
                        Tr { code: "payGiftMsg" }
                    }
                }
                Loader {
                    Layout.alignment: Qt.AlignHCenter
                    source: Style.ui("check/PayGiftAnimation")
                }
            }
        }

        ActionButton {
            objectName: "cancelButton"
            Layout.fillWidth: true
            Layout.preferredHeight: 110
            Style.class: "paymentGiftCancel"
            Tr { code: "payGiftCancel" }
            icon: Style.parameter("icon.payment.closeGiftCard")
            onClicked: () => removeContext()
        }
    }
}
