import QtQuick
import QtQuick.Controls
import QtQuick.Shapes

import Core

Item {
    width: backgroudPhone.width
    height: backgroudPhone.height

    SvgImage {
        id: backgroudPhone
        source: Style.parameter("image.phoneReceiptBackground")
        y: -200

        property real baseVelocity: Style.animationVelocity("transition.closed.phoneReceipt", 200)
        property real paperVelocity: Style.animationVelocity("transition.closed.phoneReceipt", 25)
        property real baseDuration: Style.animationDuration("transition.closed.phoneReceipt", 1250)

        SvgImage {
            anchors.horizontalCenter: parent.horizontalCenter
            source: Style.parameter("image.phoneReceiptCover")
            y: 181

            SvgImage {
                id: paperReceipt
                anchors.horizontalCenter: parent.horizontalCenter
                source: Style.parameter("image.phoneReceiptPaper")
                y: -60
                z: -1

                state: "start"
                states: [
                    State { name: "start"; PropertyChanges { target: paperReceipt; scale: 0.8; y: -55 } },
                    State { name: "finish"; PropertyChanges { target: paperReceipt; scale: 1; y: -95 } }
                ]
                transitions: Transition {
                    NumberAnimation { property: "scale"; duration: backgroudPhone.baseDuration }
                    SmoothedAnimation { property: "y"; velocity: backgroudPhone.paperVelocity; easing.type: Easing.InCirc }
                }
            }
        }

        SvgImage {
            id: paperAirplain
            source: Style.parameter("image.phoneReceiptPaperAirplain")
            state: "start"
            states: [
                State { name: "start"; PropertyChanges { target: paperAirplain; y: 180; x: -100; scale: 0; z: -1 } },
                State { name: "finish"; PropertyChanges { target: paperAirplain; y: -20; x: 220; scale: 1; z: 1 } }
            ]
            transitions: Transition {
                NumberAnimation { property: "scale"; duration: backgroudPhone.baseDuration }
                SmoothedAnimation { property: "y"; velocity: backgroudPhone.baseVelocity * 0.9 }
                SmoothedAnimation { property: "x"; velocity: backgroudPhone.baseVelocity }
            }
            Timer {
                interval: Style.animationDuration("transition.closed.phoneReceipt", 2500)
                running: true
                repeat: true
                triggeredOnStart: true
                onTriggered: () => {
                    paperReceipt.state == "start" ? paperReceipt.state = "finish"
                                                  : paperReceipt.state = "start"
                    paperAirplain.state == "start" ? paperAirplain.state = "finish"
                                                   : paperAirplain.state = "start"
                }
            }
        }
    }
}
