import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import Check
import Core
import I18n

import "../core"
import "../widgets"

BaseForm {
    id: root
    Style.class: "qrPaymentForm"

    Context.inputSources: InputSources.Scanner

    contentItem: ColumnLayout {
        objectName: "mainLayout"
        spacing: 20
        SGroupBox {
            Layout.fillHeight: true
            Layout.fillWidth: true
            padding: 0

            ColumnLayout {
                objectName: "infoLayout"
                anchors.horizontalCenter: parent.horizontalCenter
                y: 280
                spacing: 0

                SLabel {
                    Layout.alignment: Qt.AlignHCenter
                    Style.class: "qrPaymentTitle"
                    Tr { tr: Check.paymentAction.title; fallback: "qrPaymentTitle" }
                }
                RowLayout {
                    Layout.alignment: Qt.AlignHCenter
                    Layout.topMargin: 5
                    spacing: 7
                    visible: !Check.paymentAction.amount.zero
                    SLabel {
                        Layout.alignment: Qt.AlignHCenter
                        Style.class: "qrPaymentTitle"
                        Tr { code: "qrPaymentDue" }
                    }
                    SMoney {
                        Style.class: "qrPaymentTitle"
                        money: Check.paymentAction.amount
                        color: styleColor
                    }
                }
                Space { objectName: "messageSpacer"; Layout.preferredHeight: 40 }
                SLabel {
                    Layout.alignment: Qt.AlignHCenter
                    horizontalAlignment: Text.AlignHCenter
                    Style.class: "qrPaymentMsg"
                    Tr { tr: Check.paymentAction.message; fallback: "qrPaymentMsg" }
                }
                Space { objectName: "imageSpacer"; Layout.preferredHeight: 200 }
                SvgImage {
                    objectName: "image"
                    Layout.alignment: Qt.AlignHCenter
                    Layout.preferredWidth: 350
                    Layout.preferredHeight: 350
                    source: Style.parameter("image.qrScan")
                }
            }
        }
        ActionButton {
            objectName: "cancelButton"
            Layout.preferredHeight: 110
            Layout.fillWidth: true
            Tr { code: "qrPaymentCancel" }
            Style.class: "qrPaymentCancel"
            icon: Style.parameter("icon.payment.closeQrPaymentForm")
            onClicked: () => root.removeContext()
        }
    }
}
