import QtQuick
import QtQuick.Controls

import Core

Page {
    Style.type: "BaseForm"

    leftPadding: Style.layout.leftPadding
    rightPadding: Style.layout.rightPadding
    bottomPadding: Style.layout.bottomPadding
    topPadding: Style.layout.topPadding

    /**
     * @brief Форма имеет встроенную клавиатуру. Открывать всплывающую не нужно
     */
    property bool allowFloatKeyboard: true

    /**
     * @brief Тип отображаемой клавиатуры и язык по умолчанию
     */
    property string floatKeyboardLayoutType
    property string floatKeyboardDefaultLocale

    /**
     * @brief Активация формы. Может происходить несколько раз
     */
    signal activated()

    /**
     * @brief Выполнить действие в текущем контексте
     *
     * @param action строка или Action
     * @param args аргументы, если @p action строка
     */
    function async(action, args) {
        PluginManager.async(action, args)
    }

    /**
     * @brief Удалить текущий контекст
     */
    function removeContext() {
        PluginManager.async("CORE_REMOVECONTEXT", { id: Context.id })
    }

    background: Rectangle {
        color: Style.color("background")
    }

    property Transition pushEnter: null
    property Transition pushExit: null
    property Transition popEnter: null
    // popExit на данный момент не работает
    //   тк во время анимации форма будет уже удалена
}
