import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import Core
import Dialog
import I18n

import "../widgets"
import "../core"

ModalForm {
    id: root
    Style.class: "messageForm"

    property var action: DialogState.actions[Context.id.value]
    property bool hasImage: action.image.type !== ImageData.None

    Keys.onEnterPressed: () => removeContext()
    Keys.onReturnPressed: () => removeContext()
    Keys.onEscapePressed: () => removeContext()

    ColumnLayout {
        id: layout
        objectName: "mainLayout"
        anchors.left: parent.left
        anchors.right: parent.right
        spacing: 40

        SLabel {
            Layout.fillWidth: true
            horizontalAlignment: Text.AlignHCenter
            wrapMode: SLabel.WordWrap
            Style.class: "messageFormTitle"
            Tr { tr: action.title }
        }
        ColumnLayout {
            spacing: 20
            objectName: "messageLayout"

            SLabel {
                Layout.fillWidth: true
                horizontalAlignment: Text.AlignHCenter
                wrapMode: SLabel.WordWrap
                Style.class: "messageFormMessage"
                Tr { tr: action.message }
            }
            Item {
                height: action.imageHeight
                Layout.fillWidth: true
                visible: hasImage
                SvgImage {
                    anchors.fill: parent
                    source: action.image
                }
            }
        }
        ActionButton {
            objectName: "okButton";
            visible: !root.action.hideOk
            Layout.preferredHeight: 100
            Layout.fillWidth: true
            Style.class: "messageOkButton"
            Tr { tr: action.okButton }
            onClicked: () => removeContext()
        }
    }
}
