import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import Core
import I18n
import Dialog

import "../core"
import "../widgets"

BaseForm {
    id: root
    Style.class: "paymentErrorForm"

    Context.context.logoActionInfo: () => this.logoAction()

    function logoAction() {
        root.action.result = false
        root.removeContext()
    }

    property var action: DialogState.actions[Context.id.value]

    contentItem: ColumnLayout {
        objectName: "mainLayout"
        spacing: 40
        SGroupBox {
            Layout.fillHeight: true
            Layout.fillWidth: true
            padding: 0
            id: groupBox

            ColumnLayout {
                objectName: "infoLayout"
                anchors.horizontalCenter: parent.horizontalCenter
                y: 280

                SLabel {
                    Style.class: "paymentErrorTitle"
                    Tr { tr: root.action.title; fallback: "paymentErrorTitle" }
                    Layout.alignment: Qt.AlignHCenter
                    horizontalAlignment: Text.AlignHCenter
                }

                Space { objectName: "messageSpacer"; Layout.preferredHeight: 40 }

                SLabel {
                    Layout.preferredWidth: groupBox.width
                    wrapMode: Text.WordWrap
                    Style.class: "paymentErrorMsg"
                    Tr { tr: root.action.message }
                    Layout.alignment: Qt.AlignHCenter
                    horizontalAlignment: Text.AlignHCenter
                }

                Space { objectName: "imageSpacer";  Layout.preferredHeight: 200 }

                SvgImage {
                    objectName: "image"
                    Layout.alignment: Qt.AlignHCenter
                    source: Style.parameter("image.error")
                }
            }
        }

        RowLayout {
            objectName: "buttonsLayout"
            spacing: 40
            ActionButton {
                objectName: "cancelButton"
                implicitWidth: 1
                Layout.fillWidth: true
                Layout.preferredHeight: 110
                Tr { tr: action.cancelButton; fallback: "paymentErrorCancel" }
                Style.class: "paymentErrorCancel"
                onClicked: root.logoAction()
            }

            ActionButton {
                objectName: "okButton"
                implicitWidth: 1
                Layout.fillWidth: true
                Layout.preferredHeight: 110
                Tr { tr: action.okButton; fallback: "paymentErrorOk" }
                Style.class: "paymentErrorOk"
                onClicked: () => {
                    root.action.result = true
                    root.removeContext()
                }
            }
        }
    }
}
