import QtQuick
import QtQuick.VirtualKeyboard

KeyboardLayout {
    inputMode: InputEngine.InputMode.Cyrillic
    keyWeight: 1
    spacing: 10
    KeyboardRow {
        spacing: parent.spacing
        Key { key: Qt.Key_1; text: "1" }
        Key { key: Qt.Key_2; text: "2" }
        Key { key: Qt.Key_3; text: "3" }
        Key { key: Qt.Key_4; text: "4" }
        Key { key: Qt.Key_5; text: "5" }
        Key { key: Qt.Key_6; text: "6" }
        Key { key: Qt.Key_7; text: "7" }
        Key { key: Qt.Key_8; text: "8" }
        Key { key: Qt.Key_9; text: "9" }
        Key { key: Qt.Key_0; text: "0" }
    }
    KeyboardRow {
        spacing: parent.spacing
        Key { key: 0x0419; text: "й" }
        Key { key: 0x0426; text: "ц" }
        Key { key: 0x0423; text: "у" }
        Key { key: 0x041A; text: "к" }
        Key { key: 0x0415; text: "е"; alternativeKeys: "её" }
        Key { key: 0x041D; text: "н" }
        Key { key: 0x0413; text: "г" }
        Key { key: 0x0428; text: "ш" }
        Key { key: 0x0429; text: "щ" }
        Key { key: 0x0417; text: "з" }
        Key { key: 0x0425; text: "х" }
    }
    KeyboardRow {
        spacing: parent.spacing
        Key { key: 0x0424; text: "ф" }
        Key { key: 0x042B; text: "ы" }
        Key { key: 0x0412; text: "в" }
        Key { key: 0x0410; text: "а" }
        Key { key: 0x041F; text: "п" }
        Key { key: 0x0420; text: "р" }
        Key { key: 0x041E; text: "о" }
        Key { key: 0x041B; text: "л" }
        Key { key: 0x0414; text: "д" }
        Key { key: 0x0416; text: "ж" }
        Key { key: 0x042D; text: "э" }
    }
    KeyboardRow {
        spacing: parent.spacing
        ShiftKey {}
        Key { key: 0x042F; text: "я" }
        Key { key: 0x0427; text: "ч" }
        Key { key: 0x0421; text: "с" }
        Key { key: 0x041C; text: "м" }
        Key { key: 0x0418; text: "и" }
        Key { key: 0x0422; text: "т" }
        Key { key: 0x042C; text: "ь"; alternativeKeys: "ьъ" }
        Key { key: 0x0411; text: "б" }
        Key { key: 0x042E; text: "ю" }
        BackspaceKey {}
    }
    KeyboardRow {
        spacing: parent.spacing
        Key { key: Qt.Key_At; text: "@" }
        Key { key: Qt.Key_Minus; text: "-" }
        ChangeLanguageKey { customLayoutsOnly: true }
        SpaceKey { weight: keyWeight * 5.5 }
        Key { key: Qt.Key_Period; text: "." }
        Key { key: Qt.Key_Underscore; text: "_" }
    }
}
