import QtQuick
import QtQuick.Controls
import QtQuick.Layouts
import QtQuick.VirtualKeyboard.Styles

import Core

KeyPanel {
    id: root
    Style.type: "ActionButton"
    Style.class: "keyboardKey"
    property alias contentItem: loader.sourceComponent
    readonly property bool down: control.pressed

    Rectangle {
        anchors.fill: parent
        color: root.Style.background.color
        border.color: root.Style.border.color
        border.width: root.Style.border.width
        radius: root.Style.border.radius

        Loader {
            id: loader
            anchors.fill: parent
        }

        Behavior on color {
            id: backgroundAnimation
            enabled: false
            ColorAnimation {
                duration: Style.animationDuration("keyboard", 100)
            }
        }
        Component.onCompleted: backgroundAnimation.enabled = true
    }
}
