import QtQuick
import QtQuick.Controls

import Core

KeyboardKey {
    id: root
    Style.type: "ActionButton"
    readonly property color color: Style.text.color
    readonly property font font: Style.text.font
    contentItem: Label {
        text: control.uppercased && !control.functionKey ? control.displayText.toUpperCase() : control.displayText
        color: root.color
        font: root.font
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter

        Behavior on color {
            ColorAnimation {
                duration: Style.animationDuration("keyboard", 100)
            }
        }

        Label {
            anchors.top: parent.top
            anchors.right: parent.right
            anchors.topMargin: 5
            anchors.rightMargin: 10
            text: control.smallText
            color: root.color
            font {
                pixelSize: root.font.pixelSize / 3 * 2
                family: root.font.family
                weight: root.font.weight
            }

            Behavior on color {
                ColorAnimation {
                    duration: Style.animationDuration("keyboard", 100)
                }
            }
        }
    }
}
