import QtQuick

import Core

import "../widgets"

SvgImage {
    id: scales
    source: Style.parameter("image.weightControl.scales")
    property real baseVelocity: Style.animationVelocity("weightControl.adding", 200)
    SvgImage {
        id: arrow
        anchors.horizontalCenter: parent.horizontalCenter
        source: Style.parameter("image.weightControl.arrowDown")
        state: timer.currentState
        states: [
            State { name: "start"; PropertyChanges { target: arrow; y: -250 }},
            State { name: "finish"; PropertyChanges { target: arrow; y: -20 }}
        ]
        Behavior on y { SmoothedAnimation { velocity: scales.baseVelocity }}
    }
    SvgImage {
        id: hand
        x: -120
        source: Style.parameter("image.weightControl.hand")
        state: timer.currentState
        states: [
            State { name: "start"; PropertyChanges { target: hand; rotation: -30; y: -230 }},
            State { name: "finish"; PropertyChanges { target: hand; rotation: 0; y: -60 }}
        ]
        transitions: Transition {
             SmoothedAnimation { properties: "rotation"; velocity: scales.baseVelocity * 0.13 }
             SmoothedAnimation { properties: "y"; velocity: scales.baseVelocity * 0.74 }
        }
    }
    SvgImage {
        source: Style.parameter("image.weightControl.bag")
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 58
    }
    Timer {
        id: timer
        property string currentState: "start"
        interval: Style.animationDuration("weightControl.adding", 2500)
        running: true
        triggeredOnStart: true
        repeat: true
        onTriggered: {
            if (currentState == "start")
                currentState = "finish"
            else
                currentState = "start"
        }
    }
}
