import QtQuick

import Core

import "../widgets"

SvgImage {
    id: scales
    source: Style.parameter("image.weightControl.scales")
    Repeater {
        model: 3
        Text {
            id: question
            x: 243 + (index - 1) * 90
            y: 26 * Math.abs(index - 1) - 50
            z: scales.z - 1
            text: "?"
            font.family: "Lato"
            font.pixelSize: 120
            font.weight: Font.ExtraBold
            color: Style.color("redSoft")
            rotation: (index - 1) * 25
            transformOrigin: Item.Bottom
            state: timer.currentState
            states: [
                State { name: "start"; PropertyChanges { target: question; y: 26 * Math.abs(index - 1) + 200 } },
                State { name: "finish"; PropertyChanges { target: question; y: 26 * Math.abs(index - 1) - 80 } }
            ]
            Behavior on y { SmoothedAnimation { velocity: Style.animationVelocity("weightControl.wrong", 500 - 50 * index) } }
        }
    }
    SvgImage {
        source: Style.parameter("image.weightControl.bag")
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 58
    }
    Timer {
        id: timer
        property string currentState: "start"
        interval: Style.animationDuration("weightControl.wrong", 2500)
        running: true
        triggeredOnStart: true
        repeat: true
        onTriggered: {
            if (currentState == "start")
                currentState = "finish"
            else
                currentState = "start"
        }
    }
}
