import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import Check
import Core
import I18n

import "../check"

/*
 * @brief Контейнер для отображения информации о необходимости подтверждения возраста
 */
SGroupBox {
    id: ageVerifyBox
    Style.class: "formingAgeVerify"
    topPadding: 20
    rightPadding: 40
    bottomPadding: 20
    leftPadding: 40

    property alias ageVerifyLabel: ageVerifyLabel
    property alias ageVerifyLayout: ageVerifyLayout

    opacity: Check.needAgeVerify && height === implicitHeight ? 1 : 0

    contentItem: GridLayout {
        id: ageVerifyLayout
        columnSpacing: 40
        rowSpacing: 40
        rows: 1
        columns: 2

        SGroupBox {
            id: ageVerifyLabel
            Style.class: "formingAgeVerifyLabel"
            topPadding: 16
            rightPadding: 10
            bottomPadding: 16
            leftPadding: 10

            contentItem: SLabel {
                Style.class: "formingAgeVerifyLabel"
                text: "18+"
            }

            Layout.preferredWidth: implicitWidth
            Layout.preferredHeight: implicitHeight
        }

        SLabel {
            Style.class: "formingAgeVerifyDetails"
            Tr { code: "formingAgeVerifyDetails" }
            verticalAlignment: Qt.AlignVCenter
            wrapMode: SLabel.WordWrap
            lineHeight: 1.2

            Layout.preferredHeight: contentHeight
            Layout.fillWidth: true
        }
    }

    Behavior on opacity {
        NumberAnimation { easing.type: Easing.InOutQuad; duration: Style.animationDuration("transition.forming.ageVerify", 250) }
    }

    Behavior on Layout.preferredHeight {
        NumberAnimation { easing.type: Easing.InOutQuad; duration: Style.animationDuration("transition.forming.ageVerify", 250) }
    }

    Layout.fillWidth: true
    Layout.preferredHeight: Check.needAgeVerify || opacity > 0 ? implicitHeight : 0
}
