import QtQuick
import QtQuick.Layouts
import QtQuick.VirtualKeyboard
import QtQuick.VirtualKeyboard.Settings

import Core 1.0
import I18n 1.0

import "."

Item {
    id: root
    clip: true
    property string text
    property string layoutType
    property string defaultLocale

    signal confirm()

    function selectText() {  }
    function resetLocale() {
        if (keyboard.inputLocale != defaultLocale) {
            keyboard.inputLocale = defaultLocale
            keyboard.changeInputLanguage()
        }
    }

    Column {
        anchors.centerIn: parent
        spacing: Style.parameter("geometry.keyboardWindow.spacing", 40)
        // TODO: починить поле ввода на клавиатуре
        // GroupBox {
        //     width: 930
        //     height: 100
        //     Style.class: "fullSizedKeyboardInputField"
        //     FocusScope {
        //         anchors.fill: parent
        //         focus: true
        //         STextEdit {
        //             id: inputField
        //             anchors.fill: parent
        //             Style.class: "fullSizedKeyboardInputField"
        //             focus: true
        //             verticalAlignment: Text.AlignVCenter
        //             horizontalAlignment: Text.AlignHCenter
        //         }
        //     }
        // }
        Keyboard {
            id: keyboard
            width: Style.parameter("geometry.keyboardWindow.keyboard.width", 930)
            height: Style.parameter("geometry.keyboardWindow.keyboard.height", 460)
            Binding {
                target: keyboard.style
                property: "keyboardDesignWidth"
                value: keyboard.width
            }
            Binding {
                target: keyboard.style
                property: "keyboardDesignHeight"
                value: keyboard.height
            }

            layoutType: root.layoutType
        }
        ActionButton {
            width: Style.parameter("geometry.keyboardWindow.okButton.width", 930)
            height: Style.parameter("geometry.keyboardWindow.okButton.height", 90)
            Style.class: "fullSizedKeyboardOkButton"
            Tr { code: "virtualKeyboardConfirm" }
            onClicked: confirm()
        }
    }
}
