import QtQml.Base
import QtQuick
import QtQuick.VirtualKeyboard

import Core

/**
 * @brief Встроенная клавиатура
 *
 * @param style объект стиля клавиатуры
 * @param layoutType тип раскладки
 * @param defaultLocale язык по умолчанию
 */
Item {
    id: root
    clip: true

    property alias style: keyboard.style
    required property string layoutType
    property string defaultLocale

    Keyboard {
        id: keyboard
        anchors.fill: parent
        active: true
        layoutType: root.layoutType

        Binding {
            target: keyboard.style
            property: "layoutType"
            value: keyboard.layoutType
        }

        Binding {
            target: keyboard
            property: "inputLocale"
            when: !!root.defaultLocale
            value: root.defaultLocale
        }
    }
    onWidthChanged: keyboard.style.keyboardDesignWidth = width
    onHeightChanged: keyboard.style.keyboardDesignHeight = height
}
