import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import Check
import Core
import I18n

import "../core"

/**
 * @brief Контейнер для виджетов
 */
Control {
    id: root
    padding: 30

    Style.type: "GroupBox"

    property bool down: ma.pressed

    signal clicked();

    background: Rectangle {
        color: root.Style.background.color
        radius: root.Style.border.radius
        border.color: root.Style.border.color
        border.width: root.Style.border.width

        Behavior on color {
            ColorAnimation {
                duration: Style.animationDuration("groupBox", 100)
            }
        }
        Behavior on border.color {
            ColorAnimation {
                duration: Style.animationDuration("groupBox", 100)
            }
        }
    }

    MouseArea {
        id: ma
        anchors.fill: parent

        onClicked: () => root.clicked()
    }
}
