import QtQuick
import QtQuick.Controls

import Core

/**
 * @brief Виджет прогресс бара
 */
ProgressBar {
    id: root
    Style.type: "ProgressBar"

    property alias backgroundItem: backgroundItem
    property alias content: content

    from: 0
    to: 100

    background: Rectangle {
        id: backgroundItem

        anchors.fill: parent
        radius: root.Style.border.radius
        color: root.Style.background.color
    }

    contentItem: Item {
        anchors.fill: parent

        Rectangle {
            id: content

            height: root.Style.content.height
            radius: root.Style.content.radius
            width: root.visualPosition * parent.width
            color: root.Style.content.color
        }
    }
}
