import QtQuick
import QtQuick.Controls
import QtQuick.Shapes

/**
 * @brief Виджет с рамкой из прерывистых отрезков
 */
Shape {
    id: root

    property real radius
    property color fillColor: "transparent"
    property color strokeColor
    property int strokeStyle: ShapePath.DashLine
    property real strokeWidth
    property var dashPattern

    ShapePath {
        id: path

        fillColor: root.fillColor
        strokeColor: root.strokeColor
        strokeWidth: root.strokeWidth
        dashPattern: root.dashPattern
        strokeStyle: root.strokeStyle

        startX: root.radius; startY: 0

        PathLine { relativeX: root.width - root.radius - root.radius; relativeY: 0}
        PathArc  { relativeX: root.radius; relativeY: root.radius
                    radiusX: root.radius; radiusY: root.radius }
        PathLine { relativeY: root.height - root.radius - root.radius; relativeX: 0 }
        PathArc  { relativeX: -root.radius; relativeY: root.radius
                    radiusX: root.radius; radiusY: root.radius }
        PathLine { relativeX: -(root.width - root.radius - root.radius); relativeY: 0 }
        PathArc  { relativeX: -root.radius; relativeY: -root.radius
                    radiusX: root.radius; radiusY: root.radius }
        PathLine { relativeY: -(root.height - root.radius - root.radius); relativeX: 0 }
        PathArc  { relativeX: root.radius; relativeY: -root.radius
                    radiusX: root.radius; radiusY: root.radius }
    }
}

