import QtQuick
import QtQuick.Controls
import QtQuick.Shapes

import Core

SvgImage {
    id: backgroudPhone
    source: Style.parameter("image.phoneReceiptBackground")
    width: 148
    height: 266

    property real baseVelocity: Style.animationVelocity("transition.closed.phoneReceipt", 200)
    property real baseDuration: Style.animationDuration("transition.closed.phoneReceipt", 1250)

    SvgImage {
        anchors.horizontalCenter: parent.horizontalCenter
        source: Style.parameter("image.phoneReceiptCover")
        y: 131
        width: 108
        height: 70

        SvgImage {
            id: paperReceipt
            anchors.horizontalCenter: parent.horizontalCenter
            source: Style.parameter("image.phoneReceiptPaper")
            z: -1
            y: -150 * scale + 85 // 'y' меняется от -35 до -65, 'scale' от 0.8 до 1
            width: 77
            height: 112

            state: "start"
            states: [
                State { name: "start"; PropertyChanges { target: paperReceipt; scale: 0.8 } },
                State { name: "finish"; PropertyChanges { target: paperReceipt; scale: 1 } }
            ]
            transitions: Transition {
                NumberAnimation { property: "scale"; duration: backgroudPhone.baseDuration }
            }
        }
    }

    SvgImage {
        id: paperAirplain
        source: Style.parameter("image.phoneReceiptPaperAirplain")
        width: 92
        height: 39
        state: "start"
        states: [
            State { name: "start"; PropertyChanges { target: paperAirplain; y: 140; x: -70; scale: 0; z: -1 } },
            State { name: "finish"; PropertyChanges { target: paperAirplain; y: -10; x: 175; scale: 1; z: 1 } }
        ]
        transitions: Transition {
            NumberAnimation { property: "scale"; duration: backgroudPhone.baseDuration * 0.8 }
            SmoothedAnimation { property: "y"; velocity: backgroudPhone.baseVelocity * 0.88 }
            SmoothedAnimation { property: "x"; velocity: backgroudPhone.baseVelocity }
        }
        Timer {
            interval: Style.animationDuration("transition.closed.phoneReceipt", 2500)
            running: true
            repeat: true
            triggeredOnStart: true
            onTriggered: () => {
                paperReceipt.state == "start" ? paperReceipt.state = "finish"
                                              : paperReceipt.state = "start"
                paperAirplain.state == "start" ? paperAirplain.state = "finish"
                                               : paperAirplain.state = "start"
            }
        }
    }
}
