import QtQuick

import Core

import "../widgets"

SvgImage {
    id: scales
    implicitWidth: implicitWidth * baseScale
    implicitHeight: implicitHeight * baseScale
    source: Style.parameter("image.weightControl.scales")
    property real baseScale: Style.parameter("geometry.weightControl.wrongWeightImage.scale", 1)
    Repeater {
        model: 3
        Text {
            id: question
            x: 97 + (index - 1) * 90 * scales.baseScale
            y: (26 * Math.abs(index - 1) - 50)
            z: scales.z - 1
            text: "?"
            font.family: "Lato"
            font.pixelSize: 120 * scales.baseScale
            font.weight: Font.ExtraBold
            color: Style.color("redSoft")
            rotation: (index - 1) * 25
            transformOrigin: Item.Bottom
            state: timer.currentState
            states: [
                State { name: "start"; PropertyChanges { target: question; y: (26 * Math.abs(index - 1) + 200) * scales.baseScale } },
                State { name: "finish"; PropertyChanges { target: question; y: (26 * Math.abs(index - 1) - 80) * scales.baseScale } }
            ]
            Behavior on y { SmoothedAnimation { velocity: Style.animationVelocity("weightControl.wrong", 250 - 25 * index) } }
        }
    }
    SvgImage {
        scale: scales.baseScale
        source: Style.parameter("image.weightControl.bag")
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.bottom: parent.bottom
        anchors.bottomMargin: -93
    }
    Timer {
        id: timer
        property string currentState: "start"
        interval: Style.animationDuration("weightControl.wrong", 2500)
        running: true
        triggeredOnStart: true
        repeat: true
        onTriggered: {
            if (currentState == "start")
                currentState = "finish"
            else
                currentState = "start"
        }
    }
}
