import QtQuick
import QtQuick.Controls

import Core

Item {
    width: emailReceipt.width
    height: emailReceipt.width

    SvgImage {
        id: emailReceipt
        source: Style.parameter("image.emailReceipt")
        state: "start"
        width: 256; height: 309
        states: [
            State { name: "start"; PropertyChanges { target: emailReceipt; y: 0 } },
            State { name: "finish"; PropertyChanges { target: emailReceipt; y: -70 } }
        ]
        Timer {
            interval: Style.animationDuration("transition.closed.emailReceipt", 3000)
            running: true
            repeat: true
            triggeredOnStart: true
            onTriggered: emailReceipt.state == "start" ? emailReceipt.state = "finish"
                                                       : emailReceipt.state = "start"
        }
        transitions: [
            Transition {
                from: "start"; to: "finish"
                SpringAnimation {
                    property: "y"
                    spring: 3
                    damping: 0.3
                    mass: 5.0
                    velocity: Style.animationVelocity("transition.closed.emailReceipt", 200)
                }
            },
            Transition {
                from: "finish"; to: "start"
                SmoothedAnimation {
                    properties: "y"
                    easing.type: Easing.InCirc
                    velocity: Style.animationVelocity("transition.closed.emailReceipt", 100)
                }
            }
        ]
    }
}
